## com.mysql.jdbc
Class JDBC4NClob

    java.lang.Object
      com.mysql.jdbc.Clob
          com.mysql.jdbc.JDBC4NClob

All Implemented Interfaces:
  OutputStreamWatcher, WriterWatcher, java.sql.Clob, java.sql.NClob

    public class JDBC4NClob

extends Clob
implements java.sql.NClob

Simplistic implementation of java.sql.NClob for MySQL Connector/J

Constructor Summary
`JDBC4NClob()`
`JDBC4NClob(java.lang.String charDataInit)`

Method Summary

Methods inherited from class com.mysql.jdbc.Clob
`free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, streamClosed, truncate, writerClosed, writerClosed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Clob
`free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, truncate`

Constructor Detail

### JDBC4NClob

    JDBC4NClob()

### JDBC4NClob

    JDBC4NClob(java.lang.String charDataInit)